> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kpi.ms/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns



## OpenAPI

````yaml /openapi.json get /integration/v1/client/campaigns
openapi: 3.1.0
info:
  title: KPI Integration API
  version: v1
servers:
  - url: https://api.kpi.ms
    description: Production
security:
  - http: []
tags:
  - name: Verify
  - name: Campaign
  - name: Job
paths:
  /integration/v1/client/campaigns:
    get:
      tags:
        - Campaign
      summary: List Campaigns
      operationId: integration.v1.client.campaigns.list
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
            enum:
              - '10'
              - '20'
              - '50'
              - '100'
              - null
        - name: sort_by
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - id
              - campaign_name
              - campaign_status
              - start_date
              - end_date
              - completed_at
              - created_at
              - null
        - name: sort_order
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
              - null
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: string
                      - type: array
                        items: {}
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
                      last_page:
                        type: integer
                    required:
                      - current_page
                      - per_page
                      - total
                      - last_page
                required:
                  - data
                  - meta
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: MISSING_API_KEY
                    message: API key is required.
                  - error_code: INVALID_API_KEY
                    message: Invalid API key.
                  - error_code: API_KEY_EXPIRED
                    message: API key has expired.
                properties:
                  error_code:
                    type: string
                    examples:
                      - MISSING_API_KEY
                  message:
                    type: string
                    examples:
                      - API key is required.
                required:
                  - error_code
                  - message
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: FORBIDDEN
                    message: You do not have access to this resource.
                  - error_code: IP_NOT_ALLOWED
                    message: Request IP is not allowed.
                  - error_code: DOMAIN_NOT_ALLOWED
                    message: Request domain/origin is not allowed.
                properties:
                  error_code:
                    type: string
                    examples:
                      - FORBIDDEN
                  message:
                    type: string
                    examples:
                      - You do not have access to this resource.
                required:
                  - error_code
                  - message
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: VALIDATION_FAILED
                    message: The given data was invalid.
                    errors:
                      field:
                        - The field is required.
                properties:
                  error_code:
                    type: string
                    examples:
                      - VALIDATION_FAILED
                  message:
                    type: string
                    examples:
                      - The given data was invalid.
                  errors:
                    type: object
                required:
                  - error_code
                  - message
        '429':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: RATE_LIMIT_EXCEEDED
                    message: Too many requests.
                properties:
                  error_code:
                    type: string
                    examples:
                      - RATE_LIMIT_EXCEEDED
                  message:
                    type: string
                    examples:
                      - Too many requests.
                required:
                  - error_code
                  - message
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer

````